/*
	vramdisk.h

	code: SASANO Takayoshi
	--- public domain, no warranty.
*/

#include <driver/driver.h>
#include <inner.h>
#include <tcode.h>
#include <tstring.h>
#include "getmbfid.h"
#include "framebuf.h"

#ifdef	DEBUG
#define	D(x)	printf x
#else
#define	D(x)	/* */
#endif

#define	SECTORSIZE	512
#define	BYTEtoSECTOR(x)	((x) / SECTORSIZE)
#define	SECTORtoBYTE(x)	((x) * SECTORSIZE)	

#define	MAPSECTOR	128

/* ꥢ */
typedef	struct	_drvwork {
	/* main.c */
	VP		mapadr;		/* ΰɥ쥹 */
	VP		memadr;		/* ΰʪɥ쥹 */
	W		memsize;	/* ΰΥ */
	ID		mbfid;		/* ѥåХåեID */
	W		devid;		/* ǥХID */

	/* vramdisk.c */
	ID		porid;		/* ׵ѥǥ֥ݡID */
	ID		tskid;		/* ׵ID */
	DiskInfo	diskinfo;	/* ǥ */

} DrvWork;

/* vramdisk.c */
#define	VRDTASK_PRI	80
#define	VRDTASK_STKSZ	2048

IMPORT	ERR	vrd_start(DrvWork *wk);
IMPORT	ERR	vrd_finish(DrvWork *wk);
